View Issue Details

IDProjectCategoryView StatusLast Update
0000009After The Collapse[All Projects] Graphicspublic2018-09-14 21:58
ReporterEsKaAssigned ToEsKa 
PrioritynormalSeveritymajorReproducibilityrandom
Status closedResolutionfixed 
PlatformPCOSWindows 10OS VersionLatest
Product Version 
Target Version0.4 - Early AccessFixed in Version0.4 - Early Access 
Summary0000009: Sprites from content manager are occasionally corrupted
DescriptionWhen the application starts, it seems that, on rare occasions, some of the sprites loaded by monogame get corrupted.
Additional Information- Seems to happen more often when the graphical card is busy
- Read somewhere it might have something to do with the thread used to load other stuff in parallel
- Rare enough not to be an urgent problem, but a fix must be found
TagsNo tags attached.

Activities

EsKa

2018-09-03 23:05

administrator   ~0000018

It seems that the multi-threaded game loading was the issue, sadly. I'll still have to investigate the exact reason later as it's really esoteric.

Issue History

Date Modified Username Field Change
2018-08-24 06:09 EsKa New Issue
2018-08-24 06:09 EsKa Status new => assigned
2018-08-24 06:09 EsKa Assigned To => EsKa
2018-09-03 23:05 EsKa Status assigned => resolved
2018-09-03 23:05 EsKa Resolution open => fixed
2018-09-03 23:05 EsKa Fixed in Version => 0.4 - Early Access
2018-09-03 23:05 EsKa Note Added: 0000018
2018-09-10 02:30 EsKa Status resolved => closed
2018-09-14 21:58 EsKa Target Version => 0.4 - Early Access